Page 2 of 2 FirstFirst 12
Results 11 to 17 of 17

Thread: Fast Neural Network (FANN) library for C

  1. #11
    Join Date
    Nov 2011
    Location
    /dev/root
    Beans
    Hidden!

    Re: Fast Neural Network (FANN) library for C

    Quote Originally Posted by joe_cool2 View Post
    Why don't you use artificial neural networks anymore?
    I have retired from work.

  2. #12
    Join Date
    May 2014
    Beans
    25

    Re: Fast Neural Network (FANN) library for C

    Quote Originally Posted by sudodus View Post
    I have retired from work.
    But do you think neural networks are still largely used nowadays?

  3. #13
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Fast Neural Network (FANN) library for C

    I'm closing this for review, mainly because I do not have the time right now to look around about FANN. Inparticular what is the state of debian repos regarding this package.

    One thing to keep in mind is that building and maintaining a package for a distribution requires people do to it.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

  4. #14
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Fast Neural Network (FANN) library for C

    Reopening because I took the time to look around nonetheless.

    https://packages.debian.org/search?keywords=libfann
    Ubuntu packages are at the same version than debian (2.1), including unstable. Here are the details in unstable including the person in charge : https://packages.debian.org/sid/libfann-dbg and the install procedure for the latest 2.2 version : http://leenissen.dk/fann/wp/help/installing-fann/. Their forums : http://sourceforge.net/p/fann/discussion/
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

  5. #15
    Join Date
    May 2014
    Beans
    25

    Re: Fast Neural Network (FANN) library for C

    Quote Originally Posted by bapoumba View Post
    Reopening because I took the time to look around nonetheless.

    https://packages.debian.org/search?keywords=libfann
    Ubuntu packages are at the same version than debian (2.1), including unstable. Here are the details in unstable including the person in charge : https://packages.debian.org/sid/libfann-dbg and the install procedure for the latest 2.2 version : http://leenissen.dk/fann/wp/help/installing-fann/. Their forums : http://sourceforge.net/p/fann/discussion/
    I did some research on this issue and I think the reason that FANN is so outdated in Ubuntu's repository is to maintain FANN's bindings compatibility. As far as I know, most of FANN's bindings weren't upgraded yet to version 2.2. So, if FANN's was upgraded, PyFANN and all the other bindings would stop working. I guess Ubuntu's developers prefered to keep an out dated package rather than removing a lot of other packages from their repositories. Anyway, it's plain simple to install FANN's 2.2 if someone needs too.

    PS: <snip>
    Last edited by bapoumba; May 17th, 2014 at 10:11 AM. Reason: snipped the PS part.

  6. #16
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Fast Neural Network (FANN) library for C

    Most packages from the Ubuntu distributions are directly coming from debian unstable once the ubuntu release is freezed. Unless there is an ubuntu maintainer for FANN or a ppa dev, no changes are applied. So the Ubuntu package is the debian package from last feature freeze.

    As to why and the binding things, I cannot answer.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

  7. #17
    Join Date
    May 2007
    Location
    The New Forest
    Beans
    Hidden!
    Distro
    Xubuntu

    Re: Fast Neural Network (FANN) library for C

    Quote Originally Posted by joe_cool2 View Post
    I did some research on this issue and I think the reason that FANN is so outdated in Ubuntu's repository is to maintain FANN's bindings compatibility. As far as I know, most of FANN's bindings weren't upgraded yet to version 2.2. So, if FANN's was upgraded, PyFANN and all the other bindings would stop working. I guess Ubuntu's developers prefered to keep an out dated package rather than removing a lot of other packages from their repositories. Anyway, it's plain simple to install FANN's 2.2 if someone needs too.

    PS: <snip>
    The reason that it is outdated in the repositories is that it is community maintained - it is in the universe repository.

    So - if you want there to be an up to date version in the repository for the community, be part of the community and maintain it for those that want it.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •